-- Copyright (C) 1991-2015 Altera Corporation. All rights reserved.
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, the Altera Quartus Prime License Agreement,
-- the Altera MegaCore Function License Agreement, or other 
-- applicable license agreement, including, without limitation, 
-- that your use is for the sole purpose of programming logic 
-- devices manufactured by Altera and sold by Altera or its 
-- authorized distributors.  Please refer to the applicable 
-- agreement for further details.

-- VENDOR "Altera"
-- PROGRAM "Quartus Prime"
-- VERSION "Version 15.1.0 Build 185 10/21/2015 SJ Lite Edition"

-- DATE "03/10/2016 19:33:48"

-- 
-- Device: Altera 10M08DAF256C8GES Package FBGA256
-- 

-- 
-- This VHDL file should be used for ModelSim-Altera (VHDL) only
-- 

LIBRARY ALTERA;
LIBRARY FIFTYFIVENM;
LIBRARY IEEE;
USE ALTERA.ALTERA_PRIMITIVES_COMPONENTS.ALL;
USE FIFTYFIVENM.FIFTYFIVENM_COMPONENTS.ALL;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY 	how_to_use_debouncer IS
    PORT (
	D13 : OUT std_logic;
	CLK_10MHz : IN std_logic;
	D15 : IN std_logic;
	D12 : OUT std_logic;
	D14 : IN std_logic
	);
END how_to_use_debouncer;

-- Design Ports Information
-- D13	=>  Location: PIN_C16,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- D12	=>  Location: PIN_C15,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- D15	=>  Location: PIN_B16,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- CLK_10MHz	=>  Location: PIN_L3,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- D14	=>  Location: PIN_B15,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default


ARCHITECTURE structure OF how_to_use_debouncer IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_D13 : std_logic;
SIGNAL ww_CLK_10MHz : std_logic;
SIGNAL ww_D15 : std_logic;
SIGNAL ww_D12 : std_logic;
SIGNAL ww_D14 : std_logic;
SIGNAL \inst1|altpll_component|auto_generated|pll1_INCLK_bus\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \inst1|altpll_component|auto_generated|pll1_CLK_bus\ : std_logic_vector(4 DOWNTO 0);
SIGNAL \~QUARTUS_CREATED_ADC1~_CHSEL_bus\ : std_logic_vector(4 DOWNTO 0);
SIGNAL \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \~QUARTUS_CREATED_GND~I_combout\ : std_logic;
SIGNAL \~QUARTUS_CREATED_UNVM~~busy\ : std_logic;
SIGNAL \~ALTERA_TMS~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_TCK~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_TDI~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_CONFIG_SEL~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_nCONFIG~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_nSTATUS~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_CONF_DONE~~ibuf_o\ : std_logic;
SIGNAL \~QUARTUS_CREATED_ADC1~~eoc\ : std_logic;
SIGNAL \CLK_10MHz~input_o\ : std_logic;
SIGNAL \inst1|altpll_component|auto_generated|wire_pll1_fbout\ : std_logic;
SIGNAL \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\ : std_logic;
SIGNAL \D15~input_o\ : std_logic;
SIGNAL \inst|flipflops[0]~feeder_combout\ : std_logic;
SIGNAL \inst|flipflops[1]~feeder_combout\ : std_logic;
SIGNAL \inst|counter_out[0]~1_combout\ : std_logic;
SIGNAL \inst|debounced_o~1_combout\ : std_logic;
SIGNAL \inst|Add0~0_combout\ : std_logic;
SIGNAL \inst|counter_out[0]~17_combout\ : std_logic;
SIGNAL \inst|Add0~1\ : std_logic;
SIGNAL \inst|Add0~2_combout\ : std_logic;
SIGNAL \inst|counter_out[1]~16_combout\ : std_logic;
SIGNAL \inst|Add0~3\ : std_logic;
SIGNAL \inst|Add0~4_combout\ : std_logic;
SIGNAL \inst|counter_out[2]~15_combout\ : std_logic;
SIGNAL \inst|Add0~5\ : std_logic;
SIGNAL \inst|Add0~6_combout\ : std_logic;
SIGNAL \inst|counter_out[3]~14_combout\ : std_logic;
SIGNAL \inst|Add0~7\ : std_logic;
SIGNAL \inst|Add0~8_combout\ : std_logic;
SIGNAL \inst|counter_out[4]~13_combout\ : std_logic;
SIGNAL \inst|Add0~9\ : std_logic;
SIGNAL \inst|Add0~10_combout\ : std_logic;
SIGNAL \inst|counter_out[5]~12_combout\ : std_logic;
SIGNAL \inst|Add0~11\ : std_logic;
SIGNAL \inst|Add0~12_combout\ : std_logic;
SIGNAL \inst|counter_out[6]~11_combout\ : std_logic;
SIGNAL \inst|Add0~13\ : std_logic;
SIGNAL \inst|Add0~14_combout\ : std_logic;
SIGNAL \inst|counter_out[7]~10_combout\ : std_logic;
SIGNAL \inst|Add0~15\ : std_logic;
SIGNAL \inst|Add0~16_combout\ : std_logic;
SIGNAL \inst|counter_out[8]~9_combout\ : std_logic;
SIGNAL \inst|Add0~17\ : std_logic;
SIGNAL \inst|Add0~18_combout\ : std_logic;
SIGNAL \inst|counter_out[9]~8_combout\ : std_logic;
SIGNAL \inst|Add0~19\ : std_logic;
SIGNAL \inst|Add0~20_combout\ : std_logic;
SIGNAL \inst|counter_out[10]~7_combout\ : std_logic;
SIGNAL \inst|Add0~21\ : std_logic;
SIGNAL \inst|Add0~22_combout\ : std_logic;
SIGNAL \inst|counter_out[11]~6_combout\ : std_logic;
SIGNAL \inst|Add0~23\ : std_logic;
SIGNAL \inst|Add0~24_combout\ : std_logic;
SIGNAL \inst|counter_out[12]~5_combout\ : std_logic;
SIGNAL \inst|Add0~25\ : std_logic;
SIGNAL \inst|Add0~26_combout\ : std_logic;
SIGNAL \inst|counter_out[13]~4_combout\ : std_logic;
SIGNAL \inst|Add0~27\ : std_logic;
SIGNAL \inst|Add0~28_combout\ : std_logic;
SIGNAL \inst|counter_out[14]~3_combout\ : std_logic;
SIGNAL \inst|Add0~29\ : std_logic;
SIGNAL \inst|Add0~30_combout\ : std_logic;
SIGNAL \inst|counter_out[15]~2_combout\ : std_logic;
SIGNAL \inst|Add0~31\ : std_logic;
SIGNAL \inst|Add0~32_combout\ : std_logic;
SIGNAL \inst|counter_out~0_combout\ : std_logic;
SIGNAL \inst|debounced_o~0_combout\ : std_logic;
SIGNAL \inst|debounced_o~q\ : std_logic;
SIGNAL \D14~input_o\ : std_logic;
SIGNAL \inst2|flipflops[0]~feeder_combout\ : std_logic;
SIGNAL \inst2|flipflops[1]~feeder_combout\ : std_logic;
SIGNAL \inst2|debounced_o~1_combout\ : std_logic;
SIGNAL \inst2|Add0~0_combout\ : std_logic;
SIGNAL \inst2|counter_out[0]~1_combout\ : std_logic;
SIGNAL \inst2|counter_out[0]~17_combout\ : std_logic;
SIGNAL \inst2|Add0~1\ : std_logic;
SIGNAL \inst2|Add0~2_combout\ : std_logic;
SIGNAL \inst2|counter_out[1]~16_combout\ : std_logic;
SIGNAL \inst2|Add0~3\ : std_logic;
SIGNAL \inst2|Add0~4_combout\ : std_logic;
SIGNAL \inst2|counter_out[2]~15_combout\ : std_logic;
SIGNAL \inst2|Add0~5\ : std_logic;
SIGNAL \inst2|Add0~6_combout\ : std_logic;
SIGNAL \inst2|counter_out[3]~14_combout\ : std_logic;
SIGNAL \inst2|Add0~7\ : std_logic;
SIGNAL \inst2|Add0~8_combout\ : std_logic;
SIGNAL \inst2|counter_out[4]~13_combout\ : std_logic;
SIGNAL \inst2|Add0~9\ : std_logic;
SIGNAL \inst2|Add0~10_combout\ : std_logic;
SIGNAL \inst2|counter_out[5]~12_combout\ : std_logic;
SIGNAL \inst2|Add0~11\ : std_logic;
SIGNAL \inst2|Add0~12_combout\ : std_logic;
SIGNAL \inst2|counter_out[6]~11_combout\ : std_logic;
SIGNAL \inst2|Add0~13\ : std_logic;
SIGNAL \inst2|Add0~14_combout\ : std_logic;
SIGNAL \inst2|counter_out[7]~10_combout\ : std_logic;
SIGNAL \inst2|Add0~15\ : std_logic;
SIGNAL \inst2|Add0~16_combout\ : std_logic;
SIGNAL \inst2|counter_out[8]~9_combout\ : std_logic;
SIGNAL \inst2|Add0~17\ : std_logic;
SIGNAL \inst2|Add0~18_combout\ : std_logic;
SIGNAL \inst2|counter_out[9]~8_combout\ : std_logic;
SIGNAL \inst2|Add0~19\ : std_logic;
SIGNAL \inst2|Add0~20_combout\ : std_logic;
SIGNAL \inst2|counter_out[10]~7_combout\ : std_logic;
SIGNAL \inst2|Add0~21\ : std_logic;
SIGNAL \inst2|Add0~22_combout\ : std_logic;
SIGNAL \inst2|counter_out[11]~6_combout\ : std_logic;
SIGNAL \inst2|Add0~23\ : std_logic;
SIGNAL \inst2|Add0~24_combout\ : std_logic;
SIGNAL \inst2|counter_out[12]~5_combout\ : std_logic;
SIGNAL \inst2|Add0~25\ : std_logic;
SIGNAL \inst2|Add0~26_combout\ : std_logic;
SIGNAL \inst2|counter_out[13]~4_combout\ : std_logic;
SIGNAL \inst2|Add0~27\ : std_logic;
SIGNAL \inst2|Add0~28_combout\ : std_logic;
SIGNAL \inst2|counter_out[14]~3_combout\ : std_logic;
SIGNAL \inst2|Add0~29\ : std_logic;
SIGNAL \inst2|Add0~30_combout\ : std_logic;
SIGNAL \inst2|counter_out[15]~2_combout\ : std_logic;
SIGNAL \inst2|Add0~31\ : std_logic;
SIGNAL \inst2|Add0~32_combout\ : std_logic;
SIGNAL \inst2|counter_out~0_combout\ : std_logic;
SIGNAL \inst2|debounced_o~0_combout\ : std_logic;
SIGNAL \inst2|debounced_o~q\ : std_logic;
SIGNAL \inst2|flipflops\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \inst1|altpll_component|auto_generated|wire_pll1_clk\ : std_logic_vector(4 DOWNTO 0);
SIGNAL \inst|flipflops\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \inst2|counter_out\ : std_logic_vector(16 DOWNTO 0);
SIGNAL \inst|counter_out\ : std_logic_vector(16 DOWNTO 0);

BEGIN

D13 <= ww_D13;
ww_CLK_10MHz <= CLK_10MHz;
ww_D15 <= D15;
D12 <= ww_D12;
ww_D14 <= D14;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;

\inst1|altpll_component|auto_generated|pll1_INCLK_bus\ <= (gnd & \CLK_10MHz~input_o\);

\inst1|altpll_component|auto_generated|wire_pll1_clk\(0) <= \inst1|altpll_component|auto_generated|pll1_CLK_bus\(0);
\inst1|altpll_component|auto_generated|wire_pll1_clk\(1) <= \inst1|altpll_component|auto_generated|pll1_CLK_bus\(1);
\inst1|altpll_component|auto_generated|wire_pll1_clk\(2) <= \inst1|altpll_component|auto_generated|pll1_CLK_bus\(2);
\inst1|altpll_component|auto_generated|wire_pll1_clk\(3) <= \inst1|altpll_component|auto_generated|pll1_CLK_bus\(3);
\inst1|altpll_component|auto_generated|wire_pll1_clk\(4) <= \inst1|altpll_component|auto_generated|pll1_CLK_bus\(4);

\~QUARTUS_CREATED_ADC1~_CHSEL_bus\ <= (\~QUARTUS_CREATED_GND~I_combout\ & \~QUARTUS_CREATED_GND~I_combout\ & \~QUARTUS_CREATED_GND~I_combout\ & \~QUARTUS_CREATED_GND~I_combout\ & \~QUARTUS_CREATED_GND~I_combout\);

\inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \inst1|altpll_component|auto_generated|wire_pll1_clk\(0));

-- Location: LCCOMB_X11_Y12_N16
\~QUARTUS_CREATED_GND~I\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \~QUARTUS_CREATED_GND~I_combout\ = GND

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \~QUARTUS_CREATED_GND~I_combout\);

-- Location: IOOBUF_X31_Y12_N16
\D13~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \inst|debounced_o~q\,
	devoe => ww_devoe,
	o => ww_D13);

-- Location: IOOBUF_X31_Y22_N2
\D12~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \inst2|debounced_o~q\,
	devoe => ww_devoe,
	o => ww_D12);

-- Location: IOIBUF_X0_Y7_N22
\CLK_10MHz~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_CLK_10MHz,
	o => \CLK_10MHz~input_o\);

-- Location: PLL_1
\inst1|altpll_component|auto_generated|pll1\ : fiftyfivenm_pll
-- pragma translate_off
GENERIC MAP (
	auto_settings => "false",
	bandwidth_type => "medium",
	c0_high => 4,
	c0_initial => 1,
	c0_low => 4,
	c0_mode => "even",
	c0_ph => 0,
	c1_high => 0,
	c1_initial => 0,
	c1_low => 0,
	c1_mode => "bypass",
	c1_ph => 0,
	c1_use_casc_in => "off",
	c2_high => 0,
	c2_initial => 0,
	c2_low => 0,
	c2_mode => "bypass",
	c2_ph => 0,
	c2_use_casc_in => "off",
	c3_high => 0,
	c3_initial => 0,
	c3_low => 0,
	c3_mode => "bypass",
	c3_ph => 0,
	c3_use_casc_in => "off",
	c4_high => 0,
	c4_initial => 0,
	c4_low => 0,
	c4_mode => "bypass",
	c4_ph => 0,
	c4_use_casc_in => "off",
	charge_pump_current_bits => 1,
	clk0_counter => "c0",
	clk0_divide_by => 1,
	clk0_duty_cycle => 50,
	clk0_multiply_by => 5,
	clk0_phase_shift => "0",
	clk1_counter => "unused",
	clk1_divide_by => 0,
	clk1_duty_cycle => 50,
	clk1_multiply_by => 0,
	clk1_phase_shift => "0",
	clk2_counter => "unused",
	clk2_divide_by => 0,
	clk2_duty_cycle => 50,
	clk2_multiply_by => 0,
	clk2_phase_shift => "0",
	clk3_counter => "unused",
	clk3_divide_by => 0,
	clk3_duty_cycle => 50,
	clk3_multiply_by => 0,
	clk3_phase_shift => "0",
	clk4_counter => "unused",
	clk4_divide_by => 0,
	clk4_duty_cycle => 50,
	clk4_multiply_by => 0,
	clk4_phase_shift => "0",
	compensate_clock => "clock0",
	inclk0_input_frequency => 100000,
	inclk1_input_frequency => 0,
	loop_filter_c_bits => 0,
	loop_filter_r_bits => 20,
	m => 40,
	m_initial => 1,
	m_ph => 0,
	n => 1,
	operation_mode => "normal",
	pfd_max => 200000,
	pfd_min => 3076,
	self_reset_on_loss_lock => "off",
	simulation_type => "functional",
	switch_over_type => "auto",
	vco_center => 1538,
	vco_divide_by => 0,
	vco_frequency_control => "auto",
	vco_max => 3333,
	vco_min => 1538,
	vco_multiply_by => 0,
	vco_phase_shift_step => 312,
	vco_post_scale => 2)
-- pragma translate_on
PORT MAP (
	fbin => \inst1|altpll_component|auto_generated|wire_pll1_fbout\,
	inclk => \inst1|altpll_component|auto_generated|pll1_INCLK_bus\,
	fbout => \inst1|altpll_component|auto_generated|wire_pll1_fbout\,
	clk => \inst1|altpll_component|auto_generated|pll1_CLK_bus\);

-- Location: CLKCTRL_G3
\inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl\ : fiftyfivenm_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\);

-- Location: IOIBUF_X31_Y17_N1
\D15~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_D15,
	o => \D15~input_o\);

-- Location: LCCOMB_X25_Y12_N12
\inst|flipflops[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|flipflops[0]~feeder_combout\ = \D15~input_o\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \D15~input_o\,
	combout => \inst|flipflops[0]~feeder_combout\);

-- Location: FF_X25_Y12_N13
\inst|flipflops[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst|flipflops[0]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|flipflops\(0));

-- Location: LCCOMB_X25_Y12_N10
\inst|flipflops[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|flipflops[1]~feeder_combout\ = \inst|flipflops\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \inst|flipflops\(0),
	combout => \inst|flipflops[1]~feeder_combout\);

-- Location: FF_X25_Y12_N11
\inst|flipflops[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst|flipflops[1]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|flipflops\(1));

-- Location: LCCOMB_X25_Y12_N18
\inst|counter_out[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|counter_out[0]~1_combout\ = (!\inst|counter_out\(16) & (\inst|flipflops\(0) $ (!\inst|flipflops\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001000010001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|flipflops\(0),
	datab => \inst|counter_out\(16),
	datad => \inst|flipflops\(1),
	combout => \inst|counter_out[0]~1_combout\);

-- Location: LCCOMB_X25_Y12_N8
\inst|debounced_o~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|debounced_o~1_combout\ = (\inst|counter_out\(16) & (\inst|flipflops\(0) $ (!\inst|flipflops\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|flipflops\(0),
	datab => \inst|counter_out\(16),
	datad => \inst|flipflops\(1),
	combout => \inst|debounced_o~1_combout\);

-- Location: LCCOMB_X27_Y12_N16
\inst|Add0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|Add0~0_combout\ = \inst|counter_out\(0) $ (VCC)
-- \inst|Add0~1\ = CARRY(\inst|counter_out\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|counter_out\(0),
	datad => VCC,
	combout => \inst|Add0~0_combout\,
	cout => \inst|Add0~1\);

-- Location: LCCOMB_X27_Y12_N6
\inst|counter_out[0]~17\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|counter_out[0]~17_combout\ = (\inst|debounced_o~1_combout\ & ((\inst|counter_out\(0)) # ((\inst|counter_out[0]~1_combout\ & \inst|Add0~0_combout\)))) # (!\inst|debounced_o~1_combout\ & (\inst|counter_out[0]~1_combout\ & ((\inst|Add0~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|debounced_o~1_combout\,
	datab => \inst|counter_out[0]~1_combout\,
	datac => \inst|counter_out\(0),
	datad => \inst|Add0~0_combout\,
	combout => \inst|counter_out[0]~17_combout\);

-- Location: FF_X27_Y12_N7
\inst|counter_out[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst|counter_out[0]~17_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|counter_out\(0));

-- Location: LCCOMB_X27_Y12_N18
\inst|Add0~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|Add0~2_combout\ = (\inst|counter_out\(1) & (!\inst|Add0~1\)) # (!\inst|counter_out\(1) & ((\inst|Add0~1\) # (GND)))
-- \inst|Add0~3\ = CARRY((!\inst|Add0~1\) # (!\inst|counter_out\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst|counter_out\(1),
	datad => VCC,
	cin => \inst|Add0~1\,
	combout => \inst|Add0~2_combout\,
	cout => \inst|Add0~3\);

-- Location: LCCOMB_X27_Y12_N12
\inst|counter_out[1]~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|counter_out[1]~16_combout\ = (\inst|debounced_o~1_combout\ & ((\inst|counter_out\(1)) # ((\inst|counter_out[0]~1_combout\ & \inst|Add0~2_combout\)))) # (!\inst|debounced_o~1_combout\ & (\inst|counter_out[0]~1_combout\ & ((\inst|Add0~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|debounced_o~1_combout\,
	datab => \inst|counter_out[0]~1_combout\,
	datac => \inst|counter_out\(1),
	datad => \inst|Add0~2_combout\,
	combout => \inst|counter_out[1]~16_combout\);

-- Location: FF_X27_Y12_N13
\inst|counter_out[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst|counter_out[1]~16_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|counter_out\(1));

-- Location: LCCOMB_X27_Y12_N20
\inst|Add0~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|Add0~4_combout\ = (\inst|counter_out\(2) & (\inst|Add0~3\ $ (GND))) # (!\inst|counter_out\(2) & (!\inst|Add0~3\ & VCC))
-- \inst|Add0~5\ = CARRY((\inst|counter_out\(2) & !\inst|Add0~3\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst|counter_out\(2),
	datad => VCC,
	cin => \inst|Add0~3\,
	combout => \inst|Add0~4_combout\,
	cout => \inst|Add0~5\);

-- Location: LCCOMB_X27_Y12_N10
\inst|counter_out[2]~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|counter_out[2]~15_combout\ = (\inst|debounced_o~1_combout\ & ((\inst|counter_out\(2)) # ((\inst|counter_out[0]~1_combout\ & \inst|Add0~4_combout\)))) # (!\inst|debounced_o~1_combout\ & (\inst|counter_out[0]~1_combout\ & ((\inst|Add0~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|debounced_o~1_combout\,
	datab => \inst|counter_out[0]~1_combout\,
	datac => \inst|counter_out\(2),
	datad => \inst|Add0~4_combout\,
	combout => \inst|counter_out[2]~15_combout\);

-- Location: FF_X27_Y12_N11
\inst|counter_out[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst|counter_out[2]~15_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|counter_out\(2));

-- Location: LCCOMB_X27_Y12_N22
\inst|Add0~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|Add0~6_combout\ = (\inst|counter_out\(3) & (!\inst|Add0~5\)) # (!\inst|counter_out\(3) & ((\inst|Add0~5\) # (GND)))
-- \inst|Add0~7\ = CARRY((!\inst|Add0~5\) # (!\inst|counter_out\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|counter_out\(3),
	datad => VCC,
	cin => \inst|Add0~5\,
	combout => \inst|Add0~6_combout\,
	cout => \inst|Add0~7\);

-- Location: LCCOMB_X27_Y12_N8
\inst|counter_out[3]~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|counter_out[3]~14_combout\ = (\inst|Add0~6_combout\ & ((\inst|counter_out[0]~1_combout\) # ((\inst|counter_out\(3) & \inst|debounced_o~1_combout\)))) # (!\inst|Add0~6_combout\ & (((\inst|counter_out\(3) & \inst|debounced_o~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|Add0~6_combout\,
	datab => \inst|counter_out[0]~1_combout\,
	datac => \inst|counter_out\(3),
	datad => \inst|debounced_o~1_combout\,
	combout => \inst|counter_out[3]~14_combout\);

-- Location: FF_X27_Y12_N9
\inst|counter_out[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst|counter_out[3]~14_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|counter_out\(3));

-- Location: LCCOMB_X27_Y12_N24
\inst|Add0~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|Add0~8_combout\ = (\inst|counter_out\(4) & (\inst|Add0~7\ $ (GND))) # (!\inst|counter_out\(4) & (!\inst|Add0~7\ & VCC))
-- \inst|Add0~9\ = CARRY((\inst|counter_out\(4) & !\inst|Add0~7\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|counter_out\(4),
	datad => VCC,
	cin => \inst|Add0~7\,
	combout => \inst|Add0~8_combout\,
	cout => \inst|Add0~9\);

-- Location: LCCOMB_X27_Y12_N14
\inst|counter_out[4]~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|counter_out[4]~13_combout\ = (\inst|debounced_o~1_combout\ & ((\inst|counter_out\(4)) # ((\inst|counter_out[0]~1_combout\ & \inst|Add0~8_combout\)))) # (!\inst|debounced_o~1_combout\ & (\inst|counter_out[0]~1_combout\ & ((\inst|Add0~8_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|debounced_o~1_combout\,
	datab => \inst|counter_out[0]~1_combout\,
	datac => \inst|counter_out\(4),
	datad => \inst|Add0~8_combout\,
	combout => \inst|counter_out[4]~13_combout\);

-- Location: FF_X27_Y12_N15
\inst|counter_out[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst|counter_out[4]~13_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|counter_out\(4));

-- Location: LCCOMB_X27_Y12_N26
\inst|Add0~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|Add0~10_combout\ = (\inst|counter_out\(5) & (!\inst|Add0~9\)) # (!\inst|counter_out\(5) & ((\inst|Add0~9\) # (GND)))
-- \inst|Add0~11\ = CARRY((!\inst|Add0~9\) # (!\inst|counter_out\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|counter_out\(5),
	datad => VCC,
	cin => \inst|Add0~9\,
	combout => \inst|Add0~10_combout\,
	cout => \inst|Add0~11\);

-- Location: LCCOMB_X27_Y12_N4
\inst|counter_out[5]~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|counter_out[5]~12_combout\ = (\inst|Add0~10_combout\ & ((\inst|counter_out[0]~1_combout\) # ((\inst|counter_out\(5) & \inst|debounced_o~1_combout\)))) # (!\inst|Add0~10_combout\ & (((\inst|counter_out\(5) & \inst|debounced_o~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|Add0~10_combout\,
	datab => \inst|counter_out[0]~1_combout\,
	datac => \inst|counter_out\(5),
	datad => \inst|debounced_o~1_combout\,
	combout => \inst|counter_out[5]~12_combout\);

-- Location: FF_X27_Y12_N5
\inst|counter_out[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst|counter_out[5]~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|counter_out\(5));

-- Location: LCCOMB_X27_Y12_N28
\inst|Add0~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|Add0~12_combout\ = (\inst|counter_out\(6) & (\inst|Add0~11\ $ (GND))) # (!\inst|counter_out\(6) & (!\inst|Add0~11\ & VCC))
-- \inst|Add0~13\ = CARRY((\inst|counter_out\(6) & !\inst|Add0~11\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|counter_out\(6),
	datad => VCC,
	cin => \inst|Add0~11\,
	combout => \inst|Add0~12_combout\,
	cout => \inst|Add0~13\);

-- Location: LCCOMB_X27_Y12_N2
\inst|counter_out[6]~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|counter_out[6]~11_combout\ = (\inst|debounced_o~1_combout\ & ((\inst|counter_out\(6)) # ((\inst|counter_out[0]~1_combout\ & \inst|Add0~12_combout\)))) # (!\inst|debounced_o~1_combout\ & (\inst|counter_out[0]~1_combout\ & ((\inst|Add0~12_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|debounced_o~1_combout\,
	datab => \inst|counter_out[0]~1_combout\,
	datac => \inst|counter_out\(6),
	datad => \inst|Add0~12_combout\,
	combout => \inst|counter_out[6]~11_combout\);

-- Location: FF_X27_Y12_N3
\inst|counter_out[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst|counter_out[6]~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|counter_out\(6));

-- Location: LCCOMB_X27_Y12_N30
\inst|Add0~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|Add0~14_combout\ = (\inst|counter_out\(7) & (!\inst|Add0~13\)) # (!\inst|counter_out\(7) & ((\inst|Add0~13\) # (GND)))
-- \inst|Add0~15\ = CARRY((!\inst|Add0~13\) # (!\inst|counter_out\(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|counter_out\(7),
	datad => VCC,
	cin => \inst|Add0~13\,
	combout => \inst|Add0~14_combout\,
	cout => \inst|Add0~15\);

-- Location: LCCOMB_X27_Y12_N0
\inst|counter_out[7]~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|counter_out[7]~10_combout\ = (\inst|debounced_o~1_combout\ & ((\inst|counter_out\(7)) # ((\inst|counter_out[0]~1_combout\ & \inst|Add0~14_combout\)))) # (!\inst|debounced_o~1_combout\ & (\inst|counter_out[0]~1_combout\ & ((\inst|Add0~14_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|debounced_o~1_combout\,
	datab => \inst|counter_out[0]~1_combout\,
	datac => \inst|counter_out\(7),
	datad => \inst|Add0~14_combout\,
	combout => \inst|counter_out[7]~10_combout\);

-- Location: FF_X27_Y12_N1
\inst|counter_out[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst|counter_out[7]~10_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|counter_out\(7));

-- Location: LCCOMB_X27_Y11_N0
\inst|Add0~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|Add0~16_combout\ = (\inst|counter_out\(8) & (\inst|Add0~15\ $ (GND))) # (!\inst|counter_out\(8) & (!\inst|Add0~15\ & VCC))
-- \inst|Add0~17\ = CARRY((\inst|counter_out\(8) & !\inst|Add0~15\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst|counter_out\(8),
	datad => VCC,
	cin => \inst|Add0~15\,
	combout => \inst|Add0~16_combout\,
	cout => \inst|Add0~17\);

-- Location: LCCOMB_X27_Y11_N30
\inst|counter_out[8]~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|counter_out[8]~9_combout\ = (\inst|counter_out[0]~1_combout\ & ((\inst|Add0~16_combout\) # ((\inst|debounced_o~1_combout\ & \inst|counter_out\(8))))) # (!\inst|counter_out[0]~1_combout\ & (\inst|debounced_o~1_combout\ & (\inst|counter_out\(8))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|counter_out[0]~1_combout\,
	datab => \inst|debounced_o~1_combout\,
	datac => \inst|counter_out\(8),
	datad => \inst|Add0~16_combout\,
	combout => \inst|counter_out[8]~9_combout\);

-- Location: FF_X27_Y11_N31
\inst|counter_out[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst|counter_out[8]~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|counter_out\(8));

-- Location: LCCOMB_X27_Y11_N2
\inst|Add0~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|Add0~18_combout\ = (\inst|counter_out\(9) & (!\inst|Add0~17\)) # (!\inst|counter_out\(9) & ((\inst|Add0~17\) # (GND)))
-- \inst|Add0~19\ = CARRY((!\inst|Add0~17\) # (!\inst|counter_out\(9)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|counter_out\(9),
	datad => VCC,
	cin => \inst|Add0~17\,
	combout => \inst|Add0~18_combout\,
	cout => \inst|Add0~19\);

-- Location: LCCOMB_X27_Y11_N20
\inst|counter_out[9]~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|counter_out[9]~8_combout\ = (\inst|counter_out[0]~1_combout\ & ((\inst|Add0~18_combout\) # ((\inst|debounced_o~1_combout\ & \inst|counter_out\(9))))) # (!\inst|counter_out[0]~1_combout\ & (\inst|debounced_o~1_combout\ & (\inst|counter_out\(9))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|counter_out[0]~1_combout\,
	datab => \inst|debounced_o~1_combout\,
	datac => \inst|counter_out\(9),
	datad => \inst|Add0~18_combout\,
	combout => \inst|counter_out[9]~8_combout\);

-- Location: FF_X27_Y11_N21
\inst|counter_out[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst|counter_out[9]~8_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|counter_out\(9));

-- Location: LCCOMB_X27_Y11_N4
\inst|Add0~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|Add0~20_combout\ = (\inst|counter_out\(10) & (\inst|Add0~19\ $ (GND))) # (!\inst|counter_out\(10) & (!\inst|Add0~19\ & VCC))
-- \inst|Add0~21\ = CARRY((\inst|counter_out\(10) & !\inst|Add0~19\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst|counter_out\(10),
	datad => VCC,
	cin => \inst|Add0~19\,
	combout => \inst|Add0~20_combout\,
	cout => \inst|Add0~21\);

-- Location: LCCOMB_X27_Y11_N26
\inst|counter_out[10]~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|counter_out[10]~7_combout\ = (\inst|counter_out[0]~1_combout\ & ((\inst|Add0~20_combout\) # ((\inst|counter_out\(10) & \inst|debounced_o~1_combout\)))) # (!\inst|counter_out[0]~1_combout\ & (((\inst|counter_out\(10) & 
-- \inst|debounced_o~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|counter_out[0]~1_combout\,
	datab => \inst|Add0~20_combout\,
	datac => \inst|counter_out\(10),
	datad => \inst|debounced_o~1_combout\,
	combout => \inst|counter_out[10]~7_combout\);

-- Location: FF_X27_Y11_N27
\inst|counter_out[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst|counter_out[10]~7_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|counter_out\(10));

-- Location: LCCOMB_X27_Y11_N6
\inst|Add0~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|Add0~22_combout\ = (\inst|counter_out\(11) & (!\inst|Add0~21\)) # (!\inst|counter_out\(11) & ((\inst|Add0~21\) # (GND)))
-- \inst|Add0~23\ = CARRY((!\inst|Add0~21\) # (!\inst|counter_out\(11)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst|counter_out\(11),
	datad => VCC,
	cin => \inst|Add0~21\,
	combout => \inst|Add0~22_combout\,
	cout => \inst|Add0~23\);

-- Location: LCCOMB_X25_Y11_N24
\inst|counter_out[11]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|counter_out[11]~6_combout\ = (\inst|Add0~22_combout\ & ((\inst|counter_out[0]~1_combout\) # ((\inst|debounced_o~1_combout\ & \inst|counter_out\(11))))) # (!\inst|Add0~22_combout\ & (\inst|debounced_o~1_combout\ & (\inst|counter_out\(11))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|Add0~22_combout\,
	datab => \inst|debounced_o~1_combout\,
	datac => \inst|counter_out\(11),
	datad => \inst|counter_out[0]~1_combout\,
	combout => \inst|counter_out[11]~6_combout\);

-- Location: FF_X25_Y11_N25
\inst|counter_out[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst|counter_out[11]~6_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|counter_out\(11));

-- Location: LCCOMB_X27_Y11_N8
\inst|Add0~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|Add0~24_combout\ = (\inst|counter_out\(12) & (\inst|Add0~23\ $ (GND))) # (!\inst|counter_out\(12) & (!\inst|Add0~23\ & VCC))
-- \inst|Add0~25\ = CARRY((\inst|counter_out\(12) & !\inst|Add0~23\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|counter_out\(12),
	datad => VCC,
	cin => \inst|Add0~23\,
	combout => \inst|Add0~24_combout\,
	cout => \inst|Add0~25\);

-- Location: LCCOMB_X27_Y11_N24
\inst|counter_out[12]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|counter_out[12]~5_combout\ = (\inst|counter_out[0]~1_combout\ & ((\inst|Add0~24_combout\) # ((\inst|counter_out\(12) & \inst|debounced_o~1_combout\)))) # (!\inst|counter_out[0]~1_combout\ & (((\inst|counter_out\(12) & 
-- \inst|debounced_o~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|counter_out[0]~1_combout\,
	datab => \inst|Add0~24_combout\,
	datac => \inst|counter_out\(12),
	datad => \inst|debounced_o~1_combout\,
	combout => \inst|counter_out[12]~5_combout\);

-- Location: FF_X27_Y11_N25
\inst|counter_out[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst|counter_out[12]~5_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|counter_out\(12));

-- Location: LCCOMB_X27_Y11_N10
\inst|Add0~26\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|Add0~26_combout\ = (\inst|counter_out\(13) & (!\inst|Add0~25\)) # (!\inst|counter_out\(13) & ((\inst|Add0~25\) # (GND)))
-- \inst|Add0~27\ = CARRY((!\inst|Add0~25\) # (!\inst|counter_out\(13)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst|counter_out\(13),
	datad => VCC,
	cin => \inst|Add0~25\,
	combout => \inst|Add0~26_combout\,
	cout => \inst|Add0~27\);

-- Location: LCCOMB_X27_Y11_N22
\inst|counter_out[13]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|counter_out[13]~4_combout\ = (\inst|counter_out[0]~1_combout\ & ((\inst|Add0~26_combout\) # ((\inst|debounced_o~1_combout\ & \inst|counter_out\(13))))) # (!\inst|counter_out[0]~1_combout\ & (\inst|debounced_o~1_combout\ & (\inst|counter_out\(13))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|counter_out[0]~1_combout\,
	datab => \inst|debounced_o~1_combout\,
	datac => \inst|counter_out\(13),
	datad => \inst|Add0~26_combout\,
	combout => \inst|counter_out[13]~4_combout\);

-- Location: FF_X27_Y11_N23
\inst|counter_out[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst|counter_out[13]~4_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|counter_out\(13));

-- Location: LCCOMB_X27_Y11_N12
\inst|Add0~28\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|Add0~28_combout\ = (\inst|counter_out\(14) & (\inst|Add0~27\ $ (GND))) # (!\inst|counter_out\(14) & (!\inst|Add0~27\ & VCC))
-- \inst|Add0~29\ = CARRY((\inst|counter_out\(14) & !\inst|Add0~27\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|counter_out\(14),
	datad => VCC,
	cin => \inst|Add0~27\,
	combout => \inst|Add0~28_combout\,
	cout => \inst|Add0~29\);

-- Location: LCCOMB_X27_Y11_N28
\inst|counter_out[14]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|counter_out[14]~3_combout\ = (\inst|counter_out[0]~1_combout\ & ((\inst|Add0~28_combout\) # ((\inst|debounced_o~1_combout\ & \inst|counter_out\(14))))) # (!\inst|counter_out[0]~1_combout\ & (\inst|debounced_o~1_combout\ & (\inst|counter_out\(14))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|counter_out[0]~1_combout\,
	datab => \inst|debounced_o~1_combout\,
	datac => \inst|counter_out\(14),
	datad => \inst|Add0~28_combout\,
	combout => \inst|counter_out[14]~3_combout\);

-- Location: FF_X27_Y11_N29
\inst|counter_out[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst|counter_out[14]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|counter_out\(14));

-- Location: LCCOMB_X27_Y11_N14
\inst|Add0~30\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|Add0~30_combout\ = (\inst|counter_out\(15) & (!\inst|Add0~29\)) # (!\inst|counter_out\(15) & ((\inst|Add0~29\) # (GND)))
-- \inst|Add0~31\ = CARRY((!\inst|Add0~29\) # (!\inst|counter_out\(15)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|counter_out\(15),
	datad => VCC,
	cin => \inst|Add0~29\,
	combout => \inst|Add0~30_combout\,
	cout => \inst|Add0~31\);

-- Location: LCCOMB_X27_Y11_N18
\inst|counter_out[15]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|counter_out[15]~2_combout\ = (\inst|counter_out[0]~1_combout\ & ((\inst|Add0~30_combout\) # ((\inst|counter_out\(15) & \inst|debounced_o~1_combout\)))) # (!\inst|counter_out[0]~1_combout\ & (((\inst|counter_out\(15) & 
-- \inst|debounced_o~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|counter_out[0]~1_combout\,
	datab => \inst|Add0~30_combout\,
	datac => \inst|counter_out\(15),
	datad => \inst|debounced_o~1_combout\,
	combout => \inst|counter_out[15]~2_combout\);

-- Location: FF_X27_Y11_N19
\inst|counter_out[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst|counter_out[15]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|counter_out\(15));

-- Location: LCCOMB_X27_Y11_N16
\inst|Add0~32\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|Add0~32_combout\ = \inst|Add0~31\ $ (!\inst|counter_out\(16))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \inst|counter_out\(16),
	cin => \inst|Add0~31\,
	combout => \inst|Add0~32_combout\);

-- Location: LCCOMB_X25_Y12_N30
\inst|counter_out~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|counter_out~0_combout\ = (\inst|Add0~32_combout\ & (\inst|flipflops\(0) $ (((!\inst|flipflops\(1)))))) # (!\inst|Add0~32_combout\ & (\inst|counter_out\(16) & (\inst|flipflops\(0) $ (!\inst|flipflops\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010100001010100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|flipflops\(0),
	datab => \inst|Add0~32_combout\,
	datac => \inst|counter_out\(16),
	datad => \inst|flipflops\(1),
	combout => \inst|counter_out~0_combout\);

-- Location: FF_X25_Y12_N31
\inst|counter_out[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst|counter_out~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|counter_out\(16));

-- Location: LCCOMB_X25_Y12_N24
\inst|debounced_o~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|debounced_o~0_combout\ = (\inst|flipflops\(0) & ((\inst|debounced_o~q\) # ((\inst|counter_out\(16) & \inst|flipflops\(1))))) # (!\inst|flipflops\(0) & (\inst|debounced_o~q\ & ((\inst|flipflops\(1)) # (!\inst|counter_out\(16)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|flipflops\(0),
	datab => \inst|counter_out\(16),
	datac => \inst|debounced_o~q\,
	datad => \inst|flipflops\(1),
	combout => \inst|debounced_o~0_combout\);

-- Location: FF_X25_Y12_N25
\inst|debounced_o\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst|debounced_o~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|debounced_o~q\);

-- Location: IOIBUF_X31_Y17_N8
\D14~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_D14,
	o => \D14~input_o\);

-- Location: LCCOMB_X28_Y7_N12
\inst2|flipflops[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst2|flipflops[0]~feeder_combout\ = \D14~input_o\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \D14~input_o\,
	combout => \inst2|flipflops[0]~feeder_combout\);

-- Location: FF_X28_Y7_N13
\inst2|flipflops[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst2|flipflops[0]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst2|flipflops\(0));

-- Location: LCCOMB_X28_Y7_N2
\inst2|flipflops[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst2|flipflops[1]~feeder_combout\ = \inst2|flipflops\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \inst2|flipflops\(0),
	combout => \inst2|flipflops[1]~feeder_combout\);

-- Location: FF_X28_Y7_N3
\inst2|flipflops[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst2|flipflops[1]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst2|flipflops\(1));

-- Location: LCCOMB_X28_Y7_N24
\inst2|debounced_o~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst2|debounced_o~1_combout\ = (\inst2|counter_out\(16) & (\inst2|flipflops\(0) $ (!\inst2|flipflops\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001000010010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|flipflops\(0),
	datab => \inst2|flipflops\(1),
	datac => \inst2|counter_out\(16),
	combout => \inst2|debounced_o~1_combout\);

-- Location: LCCOMB_X22_Y4_N16
\inst2|Add0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst2|Add0~0_combout\ = \inst2|counter_out\(0) $ (VCC)
-- \inst2|Add0~1\ = CARRY(\inst2|counter_out\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst2|counter_out\(0),
	datad => VCC,
	combout => \inst2|Add0~0_combout\,
	cout => \inst2|Add0~1\);

-- Location: LCCOMB_X28_Y7_N10
\inst2|counter_out[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst2|counter_out[0]~1_combout\ = (!\inst2|counter_out\(16) & (\inst2|flipflops\(0) $ (!\inst2|flipflops\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100100001001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|flipflops\(0),
	datab => \inst2|flipflops\(1),
	datac => \inst2|counter_out\(16),
	combout => \inst2|counter_out[0]~1_combout\);

-- Location: LCCOMB_X22_Y4_N14
\inst2|counter_out[0]~17\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst2|counter_out[0]~17_combout\ = (\inst2|debounced_o~1_combout\ & ((\inst2|counter_out\(0)) # ((\inst2|Add0~0_combout\ & \inst2|counter_out[0]~1_combout\)))) # (!\inst2|debounced_o~1_combout\ & (\inst2|Add0~0_combout\ & 
-- ((\inst2|counter_out[0]~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|debounced_o~1_combout\,
	datab => \inst2|Add0~0_combout\,
	datac => \inst2|counter_out\(0),
	datad => \inst2|counter_out[0]~1_combout\,
	combout => \inst2|counter_out[0]~17_combout\);

-- Location: FF_X22_Y4_N15
\inst2|counter_out[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst2|counter_out[0]~17_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst2|counter_out\(0));

-- Location: LCCOMB_X22_Y4_N18
\inst2|Add0~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst2|Add0~2_combout\ = (\inst2|counter_out\(1) & (!\inst2|Add0~1\)) # (!\inst2|counter_out\(1) & ((\inst2|Add0~1\) # (GND)))
-- \inst2|Add0~3\ = CARRY((!\inst2|Add0~1\) # (!\inst2|counter_out\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|counter_out\(1),
	datad => VCC,
	cin => \inst2|Add0~1\,
	combout => \inst2|Add0~2_combout\,
	cout => \inst2|Add0~3\);

-- Location: LCCOMB_X22_Y4_N12
\inst2|counter_out[1]~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst2|counter_out[1]~16_combout\ = (\inst2|debounced_o~1_combout\ & ((\inst2|counter_out\(1)) # ((\inst2|Add0~2_combout\ & \inst2|counter_out[0]~1_combout\)))) # (!\inst2|debounced_o~1_combout\ & (\inst2|Add0~2_combout\ & 
-- ((\inst2|counter_out[0]~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|debounced_o~1_combout\,
	datab => \inst2|Add0~2_combout\,
	datac => \inst2|counter_out\(1),
	datad => \inst2|counter_out[0]~1_combout\,
	combout => \inst2|counter_out[1]~16_combout\);

-- Location: FF_X22_Y4_N13
\inst2|counter_out[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst2|counter_out[1]~16_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst2|counter_out\(1));

-- Location: LCCOMB_X22_Y4_N20
\inst2|Add0~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst2|Add0~4_combout\ = (\inst2|counter_out\(2) & (\inst2|Add0~3\ $ (GND))) # (!\inst2|counter_out\(2) & (!\inst2|Add0~3\ & VCC))
-- \inst2|Add0~5\ = CARRY((\inst2|counter_out\(2) & !\inst2|Add0~3\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|counter_out\(2),
	datad => VCC,
	cin => \inst2|Add0~3\,
	combout => \inst2|Add0~4_combout\,
	cout => \inst2|Add0~5\);

-- Location: LCCOMB_X22_Y4_N10
\inst2|counter_out[2]~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst2|counter_out[2]~15_combout\ = (\inst2|debounced_o~1_combout\ & ((\inst2|counter_out\(2)) # ((\inst2|Add0~4_combout\ & \inst2|counter_out[0]~1_combout\)))) # (!\inst2|debounced_o~1_combout\ & (\inst2|Add0~4_combout\ & 
-- ((\inst2|counter_out[0]~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|debounced_o~1_combout\,
	datab => \inst2|Add0~4_combout\,
	datac => \inst2|counter_out\(2),
	datad => \inst2|counter_out[0]~1_combout\,
	combout => \inst2|counter_out[2]~15_combout\);

-- Location: FF_X22_Y4_N11
\inst2|counter_out[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst2|counter_out[2]~15_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst2|counter_out\(2));

-- Location: LCCOMB_X22_Y4_N22
\inst2|Add0~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst2|Add0~6_combout\ = (\inst2|counter_out\(3) & (!\inst2|Add0~5\)) # (!\inst2|counter_out\(3) & ((\inst2|Add0~5\) # (GND)))
-- \inst2|Add0~7\ = CARRY((!\inst2|Add0~5\) # (!\inst2|counter_out\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst2|counter_out\(3),
	datad => VCC,
	cin => \inst2|Add0~5\,
	combout => \inst2|Add0~6_combout\,
	cout => \inst2|Add0~7\);

-- Location: LCCOMB_X22_Y4_N8
\inst2|counter_out[3]~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst2|counter_out[3]~14_combout\ = (\inst2|debounced_o~1_combout\ & ((\inst2|counter_out\(3)) # ((\inst2|Add0~6_combout\ & \inst2|counter_out[0]~1_combout\)))) # (!\inst2|debounced_o~1_combout\ & (\inst2|Add0~6_combout\ & 
-- ((\inst2|counter_out[0]~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|debounced_o~1_combout\,
	datab => \inst2|Add0~6_combout\,
	datac => \inst2|counter_out\(3),
	datad => \inst2|counter_out[0]~1_combout\,
	combout => \inst2|counter_out[3]~14_combout\);

-- Location: FF_X22_Y4_N9
\inst2|counter_out[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst2|counter_out[3]~14_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst2|counter_out\(3));

-- Location: LCCOMB_X22_Y4_N24
\inst2|Add0~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst2|Add0~8_combout\ = (\inst2|counter_out\(4) & (\inst2|Add0~7\ $ (GND))) # (!\inst2|counter_out\(4) & (!\inst2|Add0~7\ & VCC))
-- \inst2|Add0~9\ = CARRY((\inst2|counter_out\(4) & !\inst2|Add0~7\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|counter_out\(4),
	datad => VCC,
	cin => \inst2|Add0~7\,
	combout => \inst2|Add0~8_combout\,
	cout => \inst2|Add0~9\);

-- Location: LCCOMB_X22_Y4_N6
\inst2|counter_out[4]~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst2|counter_out[4]~13_combout\ = (\inst2|debounced_o~1_combout\ & ((\inst2|counter_out\(4)) # ((\inst2|Add0~8_combout\ & \inst2|counter_out[0]~1_combout\)))) # (!\inst2|debounced_o~1_combout\ & (\inst2|Add0~8_combout\ & 
-- ((\inst2|counter_out[0]~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|debounced_o~1_combout\,
	datab => \inst2|Add0~8_combout\,
	datac => \inst2|counter_out\(4),
	datad => \inst2|counter_out[0]~1_combout\,
	combout => \inst2|counter_out[4]~13_combout\);

-- Location: FF_X22_Y4_N7
\inst2|counter_out[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst2|counter_out[4]~13_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst2|counter_out\(4));

-- Location: LCCOMB_X22_Y4_N26
\inst2|Add0~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst2|Add0~10_combout\ = (\inst2|counter_out\(5) & (!\inst2|Add0~9\)) # (!\inst2|counter_out\(5) & ((\inst2|Add0~9\) # (GND)))
-- \inst2|Add0~11\ = CARRY((!\inst2|Add0~9\) # (!\inst2|counter_out\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst2|counter_out\(5),
	datad => VCC,
	cin => \inst2|Add0~9\,
	combout => \inst2|Add0~10_combout\,
	cout => \inst2|Add0~11\);

-- Location: LCCOMB_X22_Y4_N4
\inst2|counter_out[5]~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst2|counter_out[5]~12_combout\ = (\inst2|debounced_o~1_combout\ & ((\inst2|counter_out\(5)) # ((\inst2|Add0~10_combout\ & \inst2|counter_out[0]~1_combout\)))) # (!\inst2|debounced_o~1_combout\ & (\inst2|Add0~10_combout\ & 
-- ((\inst2|counter_out[0]~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|debounced_o~1_combout\,
	datab => \inst2|Add0~10_combout\,
	datac => \inst2|counter_out\(5),
	datad => \inst2|counter_out[0]~1_combout\,
	combout => \inst2|counter_out[5]~12_combout\);

-- Location: FF_X22_Y4_N5
\inst2|counter_out[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst2|counter_out[5]~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst2|counter_out\(5));

-- Location: LCCOMB_X22_Y4_N28
\inst2|Add0~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst2|Add0~12_combout\ = (\inst2|counter_out\(6) & (\inst2|Add0~11\ $ (GND))) # (!\inst2|counter_out\(6) & (!\inst2|Add0~11\ & VCC))
-- \inst2|Add0~13\ = CARRY((\inst2|counter_out\(6) & !\inst2|Add0~11\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst2|counter_out\(6),
	datad => VCC,
	cin => \inst2|Add0~11\,
	combout => \inst2|Add0~12_combout\,
	cout => \inst2|Add0~13\);

-- Location: LCCOMB_X22_Y4_N2
\inst2|counter_out[6]~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst2|counter_out[6]~11_combout\ = (\inst2|debounced_o~1_combout\ & ((\inst2|counter_out\(6)) # ((\inst2|Add0~12_combout\ & \inst2|counter_out[0]~1_combout\)))) # (!\inst2|debounced_o~1_combout\ & (\inst2|Add0~12_combout\ & 
-- ((\inst2|counter_out[0]~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|debounced_o~1_combout\,
	datab => \inst2|Add0~12_combout\,
	datac => \inst2|counter_out\(6),
	datad => \inst2|counter_out[0]~1_combout\,
	combout => \inst2|counter_out[6]~11_combout\);

-- Location: FF_X22_Y4_N3
\inst2|counter_out[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst2|counter_out[6]~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst2|counter_out\(6));

-- Location: LCCOMB_X22_Y4_N30
\inst2|Add0~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst2|Add0~14_combout\ = (\inst2|counter_out\(7) & (!\inst2|Add0~13\)) # (!\inst2|counter_out\(7) & ((\inst2|Add0~13\) # (GND)))
-- \inst2|Add0~15\ = CARRY((!\inst2|Add0~13\) # (!\inst2|counter_out\(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst2|counter_out\(7),
	datad => VCC,
	cin => \inst2|Add0~13\,
	combout => \inst2|Add0~14_combout\,
	cout => \inst2|Add0~15\);

-- Location: LCCOMB_X22_Y4_N0
\inst2|counter_out[7]~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst2|counter_out[7]~10_combout\ = (\inst2|debounced_o~1_combout\ & ((\inst2|counter_out\(7)) # ((\inst2|Add0~14_combout\ & \inst2|counter_out[0]~1_combout\)))) # (!\inst2|debounced_o~1_combout\ & (\inst2|Add0~14_combout\ & 
-- ((\inst2|counter_out[0]~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|debounced_o~1_combout\,
	datab => \inst2|Add0~14_combout\,
	datac => \inst2|counter_out\(7),
	datad => \inst2|counter_out[0]~1_combout\,
	combout => \inst2|counter_out[7]~10_combout\);

-- Location: FF_X22_Y4_N1
\inst2|counter_out[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst2|counter_out[7]~10_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst2|counter_out\(7));

-- Location: LCCOMB_X22_Y3_N0
\inst2|Add0~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst2|Add0~16_combout\ = (\inst2|counter_out\(8) & (\inst2|Add0~15\ $ (GND))) # (!\inst2|counter_out\(8) & (!\inst2|Add0~15\ & VCC))
-- \inst2|Add0~17\ = CARRY((\inst2|counter_out\(8) & !\inst2|Add0~15\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|counter_out\(8),
	datad => VCC,
	cin => \inst2|Add0~15\,
	combout => \inst2|Add0~16_combout\,
	cout => \inst2|Add0~17\);

-- Location: LCCOMB_X22_Y3_N30
\inst2|counter_out[8]~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst2|counter_out[8]~9_combout\ = (\inst2|Add0~16_combout\ & ((\inst2|counter_out[0]~1_combout\) # ((\inst2|counter_out\(8) & \inst2|debounced_o~1_combout\)))) # (!\inst2|Add0~16_combout\ & (((\inst2|counter_out\(8) & \inst2|debounced_o~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|Add0~16_combout\,
	datab => \inst2|counter_out[0]~1_combout\,
	datac => \inst2|counter_out\(8),
	datad => \inst2|debounced_o~1_combout\,
	combout => \inst2|counter_out[8]~9_combout\);

-- Location: FF_X22_Y3_N31
\inst2|counter_out[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst2|counter_out[8]~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst2|counter_out\(8));

-- Location: LCCOMB_X22_Y3_N2
\inst2|Add0~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst2|Add0~18_combout\ = (\inst2|counter_out\(9) & (!\inst2|Add0~17\)) # (!\inst2|counter_out\(9) & ((\inst2|Add0~17\) # (GND)))
-- \inst2|Add0~19\ = CARRY((!\inst2|Add0~17\) # (!\inst2|counter_out\(9)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst2|counter_out\(9),
	datad => VCC,
	cin => \inst2|Add0~17\,
	combout => \inst2|Add0~18_combout\,
	cout => \inst2|Add0~19\);

-- Location: LCCOMB_X22_Y3_N28
\inst2|counter_out[9]~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst2|counter_out[9]~8_combout\ = (\inst2|Add0~18_combout\ & ((\inst2|counter_out[0]~1_combout\) # ((\inst2|counter_out\(9) & \inst2|debounced_o~1_combout\)))) # (!\inst2|Add0~18_combout\ & (((\inst2|counter_out\(9) & \inst2|debounced_o~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|Add0~18_combout\,
	datab => \inst2|counter_out[0]~1_combout\,
	datac => \inst2|counter_out\(9),
	datad => \inst2|debounced_o~1_combout\,
	combout => \inst2|counter_out[9]~8_combout\);

-- Location: FF_X22_Y3_N29
\inst2|counter_out[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst2|counter_out[9]~8_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst2|counter_out\(9));

-- Location: LCCOMB_X22_Y3_N4
\inst2|Add0~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst2|Add0~20_combout\ = (\inst2|counter_out\(10) & (\inst2|Add0~19\ $ (GND))) # (!\inst2|counter_out\(10) & (!\inst2|Add0~19\ & VCC))
-- \inst2|Add0~21\ = CARRY((\inst2|counter_out\(10) & !\inst2|Add0~19\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst2|counter_out\(10),
	datad => VCC,
	cin => \inst2|Add0~19\,
	combout => \inst2|Add0~20_combout\,
	cout => \inst2|Add0~21\);

-- Location: LCCOMB_X25_Y4_N8
\inst2|counter_out[10]~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst2|counter_out[10]~7_combout\ = (\inst2|Add0~20_combout\ & ((\inst2|counter_out[0]~1_combout\) # ((\inst2|counter_out\(10) & \inst2|debounced_o~1_combout\)))) # (!\inst2|Add0~20_combout\ & (((\inst2|counter_out\(10) & \inst2|debounced_o~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|Add0~20_combout\,
	datab => \inst2|counter_out[0]~1_combout\,
	datac => \inst2|counter_out\(10),
	datad => \inst2|debounced_o~1_combout\,
	combout => \inst2|counter_out[10]~7_combout\);

-- Location: FF_X25_Y4_N9
\inst2|counter_out[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst2|counter_out[10]~7_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst2|counter_out\(10));

-- Location: LCCOMB_X22_Y3_N6
\inst2|Add0~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst2|Add0~22_combout\ = (\inst2|counter_out\(11) & (!\inst2|Add0~21\)) # (!\inst2|counter_out\(11) & ((\inst2|Add0~21\) # (GND)))
-- \inst2|Add0~23\ = CARRY((!\inst2|Add0~21\) # (!\inst2|counter_out\(11)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst2|counter_out\(11),
	datad => VCC,
	cin => \inst2|Add0~21\,
	combout => \inst2|Add0~22_combout\,
	cout => \inst2|Add0~23\);

-- Location: LCCOMB_X22_Y3_N18
\inst2|counter_out[11]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst2|counter_out[11]~6_combout\ = (\inst2|Add0~22_combout\ & ((\inst2|counter_out[0]~1_combout\) # ((\inst2|counter_out\(11) & \inst2|debounced_o~1_combout\)))) # (!\inst2|Add0~22_combout\ & (((\inst2|counter_out\(11) & \inst2|debounced_o~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|Add0~22_combout\,
	datab => \inst2|counter_out[0]~1_combout\,
	datac => \inst2|counter_out\(11),
	datad => \inst2|debounced_o~1_combout\,
	combout => \inst2|counter_out[11]~6_combout\);

-- Location: FF_X22_Y3_N19
\inst2|counter_out[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst2|counter_out[11]~6_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst2|counter_out\(11));

-- Location: LCCOMB_X22_Y3_N8
\inst2|Add0~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst2|Add0~24_combout\ = (\inst2|counter_out\(12) & (\inst2|Add0~23\ $ (GND))) # (!\inst2|counter_out\(12) & (!\inst2|Add0~23\ & VCC))
-- \inst2|Add0~25\ = CARRY((\inst2|counter_out\(12) & !\inst2|Add0~23\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst2|counter_out\(12),
	datad => VCC,
	cin => \inst2|Add0~23\,
	combout => \inst2|Add0~24_combout\,
	cout => \inst2|Add0~25\);

-- Location: LCCOMB_X22_Y3_N24
\inst2|counter_out[12]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst2|counter_out[12]~5_combout\ = (\inst2|Add0~24_combout\ & ((\inst2|counter_out[0]~1_combout\) # ((\inst2|counter_out\(12) & \inst2|debounced_o~1_combout\)))) # (!\inst2|Add0~24_combout\ & (((\inst2|counter_out\(12) & \inst2|debounced_o~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|Add0~24_combout\,
	datab => \inst2|counter_out[0]~1_combout\,
	datac => \inst2|counter_out\(12),
	datad => \inst2|debounced_o~1_combout\,
	combout => \inst2|counter_out[12]~5_combout\);

-- Location: FF_X22_Y3_N25
\inst2|counter_out[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst2|counter_out[12]~5_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst2|counter_out\(12));

-- Location: LCCOMB_X22_Y3_N10
\inst2|Add0~26\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst2|Add0~26_combout\ = (\inst2|counter_out\(13) & (!\inst2|Add0~25\)) # (!\inst2|counter_out\(13) & ((\inst2|Add0~25\) # (GND)))
-- \inst2|Add0~27\ = CARRY((!\inst2|Add0~25\) # (!\inst2|counter_out\(13)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|counter_out\(13),
	datad => VCC,
	cin => \inst2|Add0~25\,
	combout => \inst2|Add0~26_combout\,
	cout => \inst2|Add0~27\);

-- Location: LCCOMB_X22_Y3_N22
\inst2|counter_out[13]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst2|counter_out[13]~4_combout\ = (\inst2|Add0~26_combout\ & ((\inst2|counter_out[0]~1_combout\) # ((\inst2|counter_out\(13) & \inst2|debounced_o~1_combout\)))) # (!\inst2|Add0~26_combout\ & (((\inst2|counter_out\(13) & \inst2|debounced_o~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|Add0~26_combout\,
	datab => \inst2|counter_out[0]~1_combout\,
	datac => \inst2|counter_out\(13),
	datad => \inst2|debounced_o~1_combout\,
	combout => \inst2|counter_out[13]~4_combout\);

-- Location: FF_X22_Y3_N23
\inst2|counter_out[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst2|counter_out[13]~4_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst2|counter_out\(13));

-- Location: LCCOMB_X22_Y3_N12
\inst2|Add0~28\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst2|Add0~28_combout\ = (\inst2|counter_out\(14) & (\inst2|Add0~27\ $ (GND))) # (!\inst2|counter_out\(14) & (!\inst2|Add0~27\ & VCC))
-- \inst2|Add0~29\ = CARRY((\inst2|counter_out\(14) & !\inst2|Add0~27\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst2|counter_out\(14),
	datad => VCC,
	cin => \inst2|Add0~27\,
	combout => \inst2|Add0~28_combout\,
	cout => \inst2|Add0~29\);

-- Location: LCCOMB_X22_Y3_N20
\inst2|counter_out[14]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst2|counter_out[14]~3_combout\ = (\inst2|Add0~28_combout\ & ((\inst2|counter_out[0]~1_combout\) # ((\inst2|counter_out\(14) & \inst2|debounced_o~1_combout\)))) # (!\inst2|Add0~28_combout\ & (((\inst2|counter_out\(14) & \inst2|debounced_o~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|Add0~28_combout\,
	datab => \inst2|counter_out[0]~1_combout\,
	datac => \inst2|counter_out\(14),
	datad => \inst2|debounced_o~1_combout\,
	combout => \inst2|counter_out[14]~3_combout\);

-- Location: FF_X22_Y3_N21
\inst2|counter_out[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst2|counter_out[14]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst2|counter_out\(14));

-- Location: LCCOMB_X22_Y3_N14
\inst2|Add0~30\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst2|Add0~30_combout\ = (\inst2|counter_out\(15) & (!\inst2|Add0~29\)) # (!\inst2|counter_out\(15) & ((\inst2|Add0~29\) # (GND)))
-- \inst2|Add0~31\ = CARRY((!\inst2|Add0~29\) # (!\inst2|counter_out\(15)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|counter_out\(15),
	datad => VCC,
	cin => \inst2|Add0~29\,
	combout => \inst2|Add0~30_combout\,
	cout => \inst2|Add0~31\);

-- Location: LCCOMB_X22_Y3_N26
\inst2|counter_out[15]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst2|counter_out[15]~2_combout\ = (\inst2|Add0~30_combout\ & ((\inst2|counter_out[0]~1_combout\) # ((\inst2|counter_out\(15) & \inst2|debounced_o~1_combout\)))) # (!\inst2|Add0~30_combout\ & (((\inst2|counter_out\(15) & \inst2|debounced_o~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|Add0~30_combout\,
	datab => \inst2|counter_out[0]~1_combout\,
	datac => \inst2|counter_out\(15),
	datad => \inst2|debounced_o~1_combout\,
	combout => \inst2|counter_out[15]~2_combout\);

-- Location: FF_X22_Y3_N27
\inst2|counter_out[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst2|counter_out[15]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst2|counter_out\(15));

-- Location: LCCOMB_X22_Y3_N16
\inst2|Add0~32\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst2|Add0~32_combout\ = \inst2|counter_out\(16) $ (!\inst2|Add0~31\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|counter_out\(16),
	cin => \inst2|Add0~31\,
	combout => \inst2|Add0~32_combout\);

-- Location: LCCOMB_X28_Y7_N22
\inst2|counter_out~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst2|counter_out~0_combout\ = (\inst2|Add0~32_combout\ & (\inst2|flipflops\(0) $ (((!\inst2|flipflops\(1)))))) # (!\inst2|Add0~32_combout\ & (\inst2|counter_out\(16) & (\inst2|flipflops\(0) $ (!\inst2|flipflops\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010100001010100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|flipflops\(0),
	datab => \inst2|Add0~32_combout\,
	datac => \inst2|counter_out\(16),
	datad => \inst2|flipflops\(1),
	combout => \inst2|counter_out~0_combout\);

-- Location: FF_X28_Y7_N23
\inst2|counter_out[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst2|counter_out~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst2|counter_out\(16));

-- Location: LCCOMB_X28_Y7_N0
\inst2|debounced_o~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst2|debounced_o~0_combout\ = (\inst2|counter_out\(16) & ((\inst2|flipflops\(1) & ((\inst2|debounced_o~q\) # (\inst2|flipflops\(0)))) # (!\inst2|flipflops\(1) & (\inst2|debounced_o~q\ & \inst2|flipflops\(0))))) # (!\inst2|counter_out\(16) & 
-- (((\inst2|debounced_o~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100011010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|counter_out\(16),
	datab => \inst2|flipflops\(1),
	datac => \inst2|debounced_o~q\,
	datad => \inst2|flipflops\(0),
	combout => \inst2|debounced_o~0_combout\);

-- Location: FF_X28_Y7_N1
\inst2|debounced_o\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst2|debounced_o~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst2|debounced_o~q\);

-- Location: UNVM_X0_Y11_N40
\~QUARTUS_CREATED_UNVM~\ : fiftyfivenm_unvm
-- pragma translate_off
GENERIC MAP (
	addr_range1_end_addr => -1,
	addr_range1_offset => -1,
	addr_range2_offset => -1,
	is_compressed_image => "false",
	is_dual_boot => "false",
	is_eram_skip => "false",
	max_ufm_valid_addr => -1,
	max_valid_addr => -1,
	min_ufm_valid_addr => -1,
	min_valid_addr => -1,
	part_name => "quartus_created_unvm",
	reserve_block => "true")
-- pragma translate_on
PORT MAP (
	nosc_ena => \~QUARTUS_CREATED_GND~I_combout\,
	xe_ye => \~QUARTUS_CREATED_GND~I_combout\,
	se => \~QUARTUS_CREATED_GND~I_combout\,
	busy => \~QUARTUS_CREATED_UNVM~~busy\);

-- Location: ADCBLOCK_X10_Y24_N0
\~QUARTUS_CREATED_ADC1~\ : fiftyfivenm_adcblock
-- pragma translate_off
GENERIC MAP (
	analog_input_pin_mask => 0,
	clkdiv => 1,
	device_partname_fivechar_prefix => "none",
	is_this_first_or_second_adc => 1,
	prescalar => 0,
	pwd => 1,
	refsel => 0,
	reserve_block => "true",
	testbits => 66,
	tsclkdiv => 1,
	tsclksel => 0)
-- pragma translate_on
PORT MAP (
	soc => \~QUARTUS_CREATED_GND~I_combout\,
	usr_pwd => VCC,
	tsen => \~QUARTUS_CREATED_GND~I_combout\,
	chsel => \~QUARTUS_CREATED_ADC1~_CHSEL_bus\,
	eoc => \~QUARTUS_CREATED_ADC1~~eoc\);
END structure;


